function uhel=pocitej_uhel(xb,yb,x_pos,y_pos)
% Funkce volaná skriptem analyza.m pro výpočet směrovostí na všech souřadnicích vzorků
% xb, yb ... souřadnice zkoumaného vzorku
% x_pos, y_pos ... souřadnice středu optického disku snímku


velx = 3888;

if x_pos < velx/2
    oko = -1;
else
    oko = 1;
end

souradnice_dle_imshow = -1;
xn = (xb-x_pos)*oko;
yn = (yb-y_pos)*souradnice_dle_imshow;


% % úhly podle soustavy souřadnic
if x_pos < velx/2 % levé oko	
    if xb>x_pos && yb<y_pos
        phi = atan(yn/xn)*180/pi*oko;                % 1. kvadrant
    elseif xb<x_pos && yb<y_pos
         phi = 180+atan(yn/xn)*180/pi*oko;           % 2. kvadrant
    elseif xb<x_pos && yb>y_pos
         phi = 180+atan(yn/xn)*180/pi*oko;
    elseif xb>x_pos && yb>y_pos
         phi = 270+90+atan(yn/xn)*180/pi*oko;
    else
         phi=0;
    end
else % pravé oko
    if xb>x_pos && yb<y_pos
        phi = atan(yn/xn)*180/pi;                % 1. kvadrant
    elseif xb<x_pos && yb<y_pos
         phi = 180+atan(yn/xn)*180/pi;           % 2. kvadrant
    elseif xb<x_pos && yb>y_pos
         phi = 180+atan(yn/xn)*180/pi;
    elseif xb>x_pos && yb>y_pos
         phi = 270+90+atan(yn/xn)*180/pi;
    else
         phi=0;
    end
end

if phi>180
        uhel = phi-180;
    else
        uhel=phi;
end

end
